function getField(name) {
	if (name == "emails") {
		return "<tr><td>Hlavní e-mail:</td><td><a href='mailto:na@example.net'>N/A</a></td></tr>";
	}
	if (name == "emailsforedit") {
		return '<tr><td><input type="text" id="email1l" value="Hlavní e-mail"></td><td><input type="text" id="email1"> <button type="button" class="button red smallbutton" id="del" data-target="email1"><img src="img/close.svg" class="icon" alt="zrušit"></button></td></tr>';
	}
	if (name == "tels") {
		return "<tr><td>Mobil:</td><td>N/A</td></tr>";
	}
	if (name == "telsforedit") {
		return '<tr><td><input type="text" id="tel1l" value="Mobil"></td><td><input type="text" id="tel1"> <button type="button" class="button red smallbutton" id="del" data-target="email1"><img src="img/close.svg" class="icon" alt="zrušit"></button></td></tr>';
	}
	return "N/A";
}

function fetchContacts(displaynames) {
	var names = ["Cyril", "Adam", "Běta", "Dan"];
	var lastnames = ["Červený", "Ábel", "Bílá", "Dobrák"];
	var output = '';
	
	for (var i = 0; i < names.length; i++) {
		if (displaynames == true) {
			output += '<p class="contact" data-name="'+ names[i] +' '+ lastnames[i] +'"><img src="img/vcard.svg" class="bigicon" alt="vizitka"> '+ names[i] +' '+ lastnames[i] +'</p>';
		} else {
			output += '<p class="contact" data-name="'+ names[i] +' '+ lastnames[i] +'"><img src="img/vcard.svg" class="bigicon" alt="vizitka"> '+ lastnames[i] +'</p>';
		}
	}
	output += '<p><button type="button" class="button fullwidth green" id="add"><img src="img/plus.svg" class="icon" alt="plus"> přidat kontakt</button></p>';
	document.getElementById('contacts').innerHTML = output;
}

function displayNew() {
	document.getElementById("main").innerHTML = '<h1 class="contacttitle">Nový kontakt</h1><span class="close" id="close"><img src="img/close-black.svg" alt="zavřít" class="bigicon"></span><table class="info"><tr><td><img src="img/user.svg" alt="avatar" class="avatar"></td><td><table><tr><td>Jméno:</td><td><input type="text" id="name"></td></tr><tr><td>Příjmení:</td><td><input type="text" id="lastname"></td></tr><tr><td>Štítky:</td><td><input type="text" id="tags"></td></tr><tr><td colspan="2"><h2>E-mailové adresy</td></tr>'+ getField("emailsforedit") +'<tr><td>&nbsp;</td><td><button type="button" class="button fullwidth green" id="add"><img src="img/plus.svg" class="icon" alt="plus"> přidat adresu</button></td></tr><tr><td colspan="2"><h2>Telefoní čísla</td></tr>'+ getField("telsforedit") +'<tr><td>&nbsp;</td><td><button type="button" class="button fullwidth green" id="add"><img src="img/plus.svg" class="icon" alt="plus"> přidat číslo</button></td></tr><tr><td colspan="2"><h2>Adresa</td></tr><tr><td>Ulice, č.p.:</td><td><input type="text" id="street"></td></tr><tr><td>PSČ, město:</td><td><input type="text" id="psc"><input type="text" id="city"></td></tr></table></td></tr></table><hr><button type="button" class="button red" id="del"><img src="img/close.svg" class="icon" alt="zrušit"> odstranit kontakt</button> <button type="button" class="button green" id="add"><img src="img/save.svg" class="icon" alt="uložit"> uložit kontakt</button>';
	document.getElementById("close").addEventListener("click", function() { closeActual(); });
}

function displayEdit(object) {
	var name = object.data("name");
	object.addClass("selected");
	document.getElementById("main").innerHTML = '<h1 class="contacttitle">'+ name +' úpravy</h1><span class="close" id="close"><img src="img/close-black.svg" alt="zavřít" class="bigicon"></span><table class="info"><tr><td><img src="img/user.svg" alt="avatar" class="avatar"></td><td><table><tr><td>Jméno:</td><td><input type="text" id="name" value="'+ getField("name") +'"></td></tr><tr><td>Příjmení:</td><td><input type="text" id="lastname" value="'+ getField("lastname") +'"></td></tr><tr><td>Štítky:</td><td><input type="text" id="tags" value="'+ getField("tags") +'"></td></tr><tr><td colspan="2"><h2>E-mailové adresy</td></tr>'+ getField("emailsforedit") +'<tr><td>&nbsp;</td><td><button type="button" class="button fullwidth green" id="add"><img src="img/plus.svg" class="icon" alt="plus"> přidat adresu</button></td></tr><tr><td colspan="2"><h2>Telefoní čísla</td></tr>'+ getField("telsforedit") +'<tr><td>&nbsp;</td><td><button type="button" class="button fullwidth green" id="add"><img src="img/plus.svg" class="icon" alt="plus"> přidat číslo</button></td></tr><tr><td colspan="2"><h2>Adresa</td></tr><tr><td>Ulice, č.p.:</td><td><input type="text" id="street" value="'+ getField("street") +'"></td></tr><tr><td>PSČ, město:</td><td><input type="text" id="psc" value="'+ getField("psc") +'"><input type="text" id="city" value="'+ getField("city") +'"></td></tr></table></td></tr></table><hr><button type="button" class="button red" id="del"><img src="img/close.svg" class="icon" alt="zrušit"> odstranit kontakt</button> <button type="button" class="button green" id="add"><img src="img/save.svg" class="icon" alt="uložit"> uložit kontakt</button>';
	document.getElementById("close").addEventListener("click", function() { closeActual(); });
}

function displayContact(object) {
	var name = object.data("name");
	object.addClass("selected");
	document.getElementById("main").innerHTML = '<h1 class="contacttitle">'+ name +'</h1><span class="close" id="close"><img src="img/close-black.svg" alt="zavřít" class="bigicon"></span><table class="info"><tr><td><img src="img/user.svg" alt="avatar" class="avatar"><button type="button" class="button" id="edit"><img src="img/edit.svg" class="icon" alt="editace"> upravit</button></td><td><table class="rightalign"><tr><td>Jméno:</td><td>'+ getField("name") +'</td></tr><tr><td>Příjmení:</td><td>'+ getField("lastname") +'</td></tr><tr><td>Štítky:</td><td>'+ getField("tags") +'</td></tr>'+ getField("emails") + getField("tels") +'<tr><td>Adresa:</td><td>'+ getField("addr") +'</td></tr></table></td></tr></table>';
	document.getElementById("close").addEventListener("click", function() { closeActual(); });
	document.getElementById("edit").addEventListener("click", function() { displayEdit(object); });
}

function closeActual() {
	var scontacts = document.getElementsByClassName("selected");
	for (var i = 0; i < scontacts.length; i++) {
		jQuery(scontacts[i]).removeClass("selected");
	}
	document.getElementById("main").innerHTML = 'Pokračujte výběrem kontaktu vpravo.';
}

window.onload = function() {
	fetchContacts(true);
	var contacts = document.getElementsByClassName("contact");
	for (var i = 0; i < contacts.length; i++) {
		contacts[i].addEventListener("click", function() { closeActual(); displayContact($(this)); });
	}
	document.getElementById("add").addEventListener("click", function() { closeActual(); displayNew(); });
	document.getElementById("hidenames").addEventListener("click", function() { fetchContacts(false); });
}